Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Interface TpacallAsyncReply

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  GatewayTpacallAsyncReply

All Known Implementing Classes:
  TpacallAsyncReplyImpl

public interface TpacallAsyncReply
extends Serializable

The object that is called back when a reply for an asyncronous `tpacall` has been received.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `failure(ApplicationToMonitorInterface atmi, CallDescriptor cd, TPException failureReply)` Called if the service returned with a failure code.
`void` | `success(ApplicationToMonitorInterface atmi, CallDescriptor cd, Reply successReply)` Called if the service returned successfully.

Method Detail

### failure

    public void failure(ApplicationToMonitorInterface atmi,
                        CallDescriptor cd,
                        TPException failureReply)

  Called if the service returned with a failure code. It contains the reply in the TPReplyException as well as the reason for failure.

  Parameters:
    `atmi` - The connection associated with this request. It can be used for making other calls on this connection.
    `cd` - The call descriptor associated with this request.
    `failureReply` - The reply from the service. In some cases this reply may not be from the service itself. For example: when `tpacall` times out. If it is from the service, then it is an instance of TPReplyException.

### success

    public void success(ApplicationToMonitorInterface atmi,
                        CallDescriptor cd,
                        Reply successReply)

  Called if the service returned successfully. It contains the reply in the TuxedoReply object, which can be used to correlate the reply with the response using the CallDescriptor object.

  Parameters:
    `atmi` - The connection associated with this request. It can be used for making other calls on this connection.
    `cd` - The call descriptor associated with this request.
    `successReply` - The reply from the service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD